:root {
     
      --nav-h:      72px;
      --footer-h:   84px;
	 	  
      --bg:      #eeeeee;
      --surface: #ffffff;
      --border:  #000000;
      --accent:  #8fb2ea;
      --text:    #000000;
      --hl:      #0000ff;
	  --tooltip: #FFEEAA;
      
	  color-scheme: light !important;
	  --scale: 1;
	}


* {
    margin: 0;
    padding: 0;
   	box-sizing: border-box;
	
  }
 

body {
    font-family: 'Arial', 'Helvetica', sans-serif;
	font-size: 20px;
	line-height: 1.25;
   	background: var(--bg);
	flex-direction: column;
	height: 100%;
    margin: 0 auto;
    padding: 0;
    width: calc(1200px * var(--scale));
    min-height: 100dvh;
    overflow-x: auto;
    display: flex;
    align-items: stretch;
    transform: scale(var(--scale));
    transform-origin: top center;
  }

html, body {
 	min-height: 100dvh;
}


/* Media Queries für responsive Design */
@media (orientation: landscape) {
    body {
        height: 100vh;
        /* Optional: overflow-y: auto; falls der Inhalt zu lang ist */
    }
}



  .spacer {
    flex: 1;
	background: var(--surface);
  }


/* Typo */
a {
	text-decoration: none;
	color: var(--text);
}



/* Navigation */
.navbar {
    position: sticky;
    top: 0;
    height: scale(var(--nav-h) * var(--scale));
    background: var(--surface);
    border-bottom: 1px solid black;
    z-index: 200;
	align-content: center;
  }


nav {
	display: flex;
	justify-content: space-between;
  	align-items: center;
	padding-right: 1rem;
	font-size: 1.1rem;
}

nav a {
  display: block;
  padding: 1rem;;
}


nav ul {
    list-style: none;
    display: flex;
	justify-self: space-between;}


nav li {
  position: relative; 
}

nav li:not(:last-child)::after {
  content: ""; 
  position: absolute;
  right: 0;
  top: 25%; 
  height: 40%; 
  width: 1px; 
  background-color: #000; 
}


.button {
	background: var(--accent);
	width: 212px;
	border: none;
	font-size: 1.2rem;
	margin-right: 10px;
	text-align: center;
	line-height: 0.5;
}


.btn {
	background: var(--accent);
	border: none;
	font-size: 1.2rem;
	text-align: center;
	padding: 0.5rem 3rem;
}


.nav-logo {
	font-weight: bold;
	padding-left: 10px;
}



/* Inhalt */
main {
    flex: 1;
	background: var(--surface);
  	}



/* Inhaltsbreite */

#main-legal {
	width: 905px;
	margin: auto;
}
#main-index, #main-tech-demos {
	width: 70%;
	margin: auto;
}
#main-contact {
	width: 853px;
	margin: auto;
}
#main-services {
	width: 632px;
	margin: auto;
}

#main-success {
	width: 860px;
	margin: auto;
}

#main-profile {
	width: 851px;
	margin: auto;
}

/* Service-Page --> Box */
.service 
{
	padding-top: 20px;
	padding-left: 27px;
	border: #000 2px solid;}

.service ul {
	padding-left: 15px;
	font-size: 0.825rem;
	line-height: 1.3;
	list-style-type:"– ";
}

.service-button {
	background: var(--accent);
	height: 34px;
	border: none;
	font-size: 0.95rem;
	line-height: 1px;
	margin-top: 50px;
	margin-left: -27px;
	 display: flex;
  align-items: center; 
  justify-content: center; 
}



/* Tech-Demos */
.col_3 {
   column-count: 3; 
   column-gap: 20px;
   column-width: 30%;
   margin-bottom: 20px;
}

.col_3 img {
  width: 100%;
  display: block;
  border: #000 5px solid;
  margin-bottom: 8px;

}
.col_2 {
   column-count: 2; 
   column-gap: 13%;
   column-width: 30%;
   margin-bottom: 20px;
   margin-left: 12%;
   margin-right: 12%;
   }
   
.col_2 img {
  display: block;
  border: #000 5px solid;
  margin-bottom: 8px;

}

.col_1 {
   column-count: 1; 
   column-width: 30%;
   margin-bottom: 20px;
   margin-left: 33%;
   margin-right: 33%;
   }
   
.col_1 img {
  display: block;
  border: #000 5px solid;
  margin-bottom: 8px;

}

/* TYPO */

/* Startseite changing Text */
.change {
 	margin: 2rem;
	text-align: right;
}

h1 {
    font-size: 2rem;
	margin-top: 20px;
	font-weight: normal;
	text-align: center;
	color: var(--text);
}

h2 {
    font-size: 1.75rem;
	font-weight: bold;
	text-align: center;
	margin: 10px;
	color: var(--hl);
}


.h2-profile {
	text-align: left; 
	margin-bottom: 5px;
	margin-top: 20px;}


p {
    line-height: 1.25;
	margin-bottom: 20px;
	
	
}

.klein  {
    line-height: 1.25;
	font-size: 1rem;
	margin-bottom: 25px;
}

.gross  
{
    line-height: 1.25;
	font-size: 1.25rem;
	margin-bottom: 20px;
}

li.klein  {
    line-height: 0.5;
	font-size: 1rem;
	margin-left: 18px;
	margin-bottom: 6px;
}


p.versatz {
	padding-left: 25px;
}

.blue {
	color: var(--hl)
}

.center {
	text-align: center;
}


/* FORMULAR */

form {
	display: flex;
	flex-direction: column;
	margin-top: 50px;
}

input {
    width: 100%;
	min-height: 50px;
    padding: 4px;
	margin-bottom: 10px;
    font-family: inherit;
    font-weight: lighter;
	font-size: inherit;
    border: #000 2px solid;
	resize: none;
}  


.scroll {
	scrollbar-width: auto;
	scrollbar-color: #000 #bbb;
}

/* WebKit */
.scroll::-webkit-scrollbar {
	width: 50px;
}

.scroll::-webkit-scrollbar-thumb {
	background: #000;
	border-radius: 20px;
}



textarea {
	width: 100%;
	padding: 4px;
	margin-bottom: 20px;
    font-family: inherit;
    font-weight: lighter;
	font-size: inherit;
    border: #000 2px solid;
	resize: none;
	height: 0px;
	overflow-y: scroll;
    padding-bottom: 200px;
}
	

textarea::placeholder {
  color: grey;
}


hr  {
	border: 1px solid #000000;
}


/* AKKORDEON */
details::details-content {
	height: auto;
	overflow-y: clip;
	transition: 0.1s allow-discrete;
}

details[open]::details-content {
	height: auto;
	height: calc-size(auto, size);
}

details {
	height: min-content;
	transition: all .5s;
	border: #000 2px solid;
	margin-bottom: 20px;
}

summary {
	position: relative;
	padding: 10px 20px;
	line-height: 1;
}

summary::marker { 
	content: "";
}

summary::-webkit-details-marker {
  display: none;
}

summary::after {
	content: url('../images/mehr.webp');
	position: absolute;
	right: 10px;
	bottom: 10px;
}


details[open] summary::after {
	content: url('../images/weniger.webp');
	position: absolute;
	right: 10px;
	bottom: 10px;
}

.akk01 {
font-size: 0.85rem;
margin-bottom: 0px;
	margin-right: 30px;
}







.akk02 {
font-size: 0.75rem;
	padding: 0px 20px;
	margin-bottom: 10px;
}



/* TEXTWECHSEL STARTSEITE */
#changing-word {
  display: inline-block;
  position: relative;
  animation: slideDown 1s ease-out;
}

@keyframes slideDown {
  from {
    opacity: 0;
    transform: translateY(-20px);
}
  to {
    opacity: 1;
    transform: translateY(0);
  }
}



/* LIGHTBOX */

/* Lightbox (verborgen) */
.lightbox {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.8);
  z-index: 1000;
}

/* Lightbox sichtbar */
.lightbox:target {
  display: block;
   z-index: 1000;
}


.lightbox span {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}


/* Bild zentrieren 
.box {
	position: relative;
	margin: auto;
	background-size: cover;
}
*/


.img-neuenhofen {
	width:calc(350px * var(--scale));
}

video {
height: 100%;
	margin: auto;

}


/* TOOLTIP BACKGROUND */
.link-arrow {
  background-color: var(--tooltip); 
}

.tooltip-box {
	background-color: var(--tooltip); 
	padding: 20px 12px 0px 12px;
	width: 883px;
	margin: auto;

}

.tooltip-box p {
	padding-left: 20px;
	font-size: 0.85rem;
}

.tooltip-box h4 {
	font-size: 0.9rem;
	line-height: 1;
}



.close {
  position: absolute;
  top: -30px; right: 5%;
  color: white;
  text-decoration: none;
}


.close-video {
  position: absolute;
  bottom: -30px; right: 1%;
  color: white;
  font-size: 1.5rem;
  text-decoration: none;
}




/* FOOTER */
.wrapfooter {
  	z-index: 0;
	margin: 0;
	padding: 0;
	height: var(--footer-h);
	font-size: 18px;
	font-weight: bold;
   }

footer {
	background: #fff;
	background: -webkit-linear-gradient(rgba(255, 255, 255, 1) 0%, rgba(143, 178, 234, 1) 100%);
	background: -o-linear-gradient(rgba(255, 255, 255, 1) 0%, rgba(143, 178, 234, 1) 100%);
	background: linear-gradient(rgba(255, 255, 255, 1) 0%, rgba(143, 178, 234, 1) 100%);
    text-align: center;
	display: flex;
	justify-content: space-around;
	align-items: center;
	column-count: 2;
}

